language: cn
model_unique_abbr: euclidean_distance_analysis
version: 1.0

identification:
  docker_image_name: distance_analysis:1.0-scipy
  model_name: 欧氏距离分析
  semantic: Euclidean distance analysis
  category_application: 通用基础型
  category_data:
    - 点数据分析
  description: 基于欧氏距离对矢量数据进行分析
  keywords:
    - 距离计算
    - 几何对象


parameter_info:
  parameters:
    - arg_name: sfp
      param_type: input_data
      visible: true
      name: 输入文件
      description: 输入为shp格式的矢量文件
      is_required: true
      data_type: shp
      data_semantic: road shp

    - arg_name: width
      param_type: param
      visible: true
      name: 图像宽度
      description: 距离分析后的影像宽度
      is_required: true
      data_type: int
      data_semantic: picture width
      specification:
        default: 424


    - arg_name: height
      param_type: param
      visible: true
      name: 图像高度
      description: 距离分析后的影像高度
      is_required: true
      data_type: int
      data_semantic: picture height
      specification:
        default: 317

    - arg_name: op
      param_type: output_data
      visible: true
      name: 输出文件
      description: 距离分析后输出tif格式的文件
      is_required: true
      data_type: tif
      data_semantic: road


application:
  domain: 欧式距离分析
  objective: 对于线要素进行欧式距离分析
  dimension:
    - 二维
  mechanism: 通过输入的图片尺寸来自动计算分辨率大小，对线状要素进行欧氏距离分析

operation:
  usage: 通过指明输入的shp文件路径，tif图的大小，和输出文件路径来进行欧式距离分析
  exec_example:
    - python3 ./src/EuclideanDistance.py -sfp ./data/waterways.shp  -width 94  -height 69 -op ./waterways_distance.tif
  output_display:
    - "输出的tif文件是图像中非零点到最近背景点的距离"

technique:
  language:
    - python
  os:
    - Windows
    - Linux
    - MacOS
  hardware:
    - CPU
  dependencies:
    - name: fiona
      version: 1.10.1
    - name: numpy
      version: 1.24.3
    - name: rasterio
      version: 1.3.10
    - name: scipy
      version: 1.10.1

source:
  maintainer: Han Li
  organization: Beijing University of Civil Engineering and Architecture
  contact: 2108160224011@stu.bucea.edu.cn
  references:
  - https://docs.scipy.org/doc/scipy/reference/generated/scipy.ndimage.distance_transform_edt.html

